Page MenuHomePhabricator

LoginNotify doesn't bundle notifications correctly
Closed, ResolvedPublic5 Story Points

Description

Steps to reproduce:

  1. Go incognito on your browser.
  2. Try logging (with wrong password) into your account 6 times (5 is the threshold limit for a notification to be generated from a known IP).
  3. Log in.
  4. The icon shows the correct number of failed attempts.
  5. The notification however always says "a failed attempt". Dumping the var ($this->event->getExtraParam( 'count', 0 )) being passed into the message always gives 1.

This was working fine until about ~1 month ago. What changed?

Event Timeline

Niharika created this task.Jul 5 2017, 11:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 11:30 PM
kaldari triaged this task as Low priority.Jul 5 2017, 11:35 PM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari set the point value for this task to 5.
MaxSem added a subscriber: MaxSem.Jul 10 2017, 10:27 PM

Repro steps?

Niharika claimed this task.Jul 11 2017, 5:18 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika updated the task description. (Show Details)Jul 11 2017, 5:22 PM

Change 364609 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/LoginNotify@master] Fix bundling issues with LoginNotify

https://gerrit.wikimedia.org/r/364609

Change 364609 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Fix bundling issues with LoginNotify

https://gerrit.wikimedia.org/r/364609

MaxSem closed this task as Resolved.Jul 12 2017, 2:00 AM
MaxSem moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.